/**
 * TelecommunicationAddressUse.java
 *
 * File generated from the medication::TelecommunicationAddressUse uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration TelecommunicationAddressUse.
 *
 * 
 */

@XmlType(name = "TelecommunicationAddressUse")
@XmlEnum
@XmlRootElement(name = "TelecommunicationAddressUse")
public enum TelecommunicationAddressUse {
	@XmlEnumValue("AS")
	AS("AS"),
	@XmlEnumValue("EC")
	EC("EC"),
	@XmlEnumValue("MC")
	MC("MC"),
	@XmlEnumValue("PG")
	PG("PG"),
	@XmlEnumValue("BAD")
	BAD("BAD"),
	@XmlEnumValue("TMP")
	TMP("TMP"),
	@XmlEnumValue("H")
	H("H"),
	@XmlEnumValue("HP")
	HP("HP"),
	@XmlEnumValue("HV")
	HV("HV"),
	@XmlEnumValue("WP")
	WP("WP"),
	@XmlEnumValue("DIR")
	DIR("DIR"),
	@XmlEnumValue("PUB")
	PUB("PUB");
	
	private final String value;

    TelecommunicationAddressUse(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static TelecommunicationAddressUse fromValue(String v) {
        for (TelecommunicationAddressUse c: TelecommunicationAddressUse.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}